# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(DateTime.pm) perl(DateTime/Format/Duration.pm) perl(File/Path.pm) perl(File/Temp.pm) perl(IO/File.pm) perl(IO/Select.pm) perl(IPC/Open3.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Getopt.pm) perl(MooseX/Getopt/Usage.pm) perl(MooseX/Getopt/Usage/Role/Man.pm) perl(MooseX/SimpleConfig.pm) perl(Parallel/ForkManager.pm) perl(Symbol.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define module_version 2.35
%define module_name HPC-Runner-Threads
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.35
Release: alt1
Summary: Job submission using threads
Group: Development/Perl
License: perl
URL: https://bitbucket.org/jir2004/hpc-runner-threads

Source0: http://cpan.org.ua/authors/id/J/JI/JILLROWE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes
%perl_vendor_privlib/H*

%files scripts
%_bindir/*

%changelog
* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 2.35-alt1
- initial import by package builder

